<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE plist SYSTEM "file://localhost/System/Library/DTDs/PropertyList.dtd">
<plist version="0.9">
<dict>
	<key>CanvasColor</key>
	<dict>
		<key>w</key>
		<real>1.000000e+00</real>
	</dict>
	<key>ColumnAlign</key>
	<integer>1</integer>
	<key>ColumnSpacing</key>
	<real>3.600000e+01</real>
	<key>GraphDocumentVersion</key>
	<integer>2</integer>
	<key>GraphicsList</key>
	<array>
		<dict>
			<key>AllowConnections</key>
			<string>NO</string>
			<key>Class</key>
			<string>LineGraphic</string>
			<key>ID</key>
			<integer>71</integer>
			<key>Labels</key>
			<array>
				<dict>
					<key>Label</key>
					<dict>
						<key>Align</key>
						<integer>0</integer>
						<key>Text</key>
						<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc

\f0\fs24 \cf0 &lt;extends&gt;}</string>
					</dict>
					<key>LabelVisible</key>
					<string>YES</string>
					<key>Offset</key>
					<real>0.000000e+00</real>
					<key>Position</key>
					<real>5.080214e-01</real>
				</dict>
				<dict>
					<key>Label</key>
					<dict>
						<key>Align</key>
						<integer>0</integer>
					</dict>
					<key>Offset</key>
					<real>0.000000e+00</real>
					<key>Position</key>
					<real>1.000000e-01</real>
				</dict>
				<dict>
					<key>Label</key>
					<dict>
						<key>Align</key>
						<integer>0</integer>
					</dict>
					<key>Offset</key>
					<real>0.000000e+00</real>
					<key>Position</key>
					<real>9.000000e-01</real>
				</dict>
			</array>
			<key>Points</key>
			<array>
				<string>{369, 576}</string>
				<string>{657, 576}</string>
			</array>
			<key>Style</key>
			<dict>
				<key>stroke</key>
				<dict>
					<key>HeadArrow</key>
					<string>StickArrow</string>
					<key>HeadScale</key>
					<real>2.357143e+00</real>
					<key>TailArrow</key>
					<string>0</string>
				</dict>
			</dict>
		</dict>
		<dict>
			<key>AllowConnections</key>
			<string>NO</string>
			<key>Class</key>
			<string>LineGraphic</string>
			<key>ID</key>
			<integer>70</integer>
			<key>Labels</key>
			<array>
				<dict>
					<key>Label</key>
					<dict>
						<key>Align</key>
						<integer>0</integer>
						<key>Text</key>
						<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc

\f0\fs24 \cf0 &lt;uses&gt;}</string>
					</dict>
					<key>LabelVisible</key>
					<string>YES</string>
					<key>Offset</key>
					<real>0.000000e+00</real>
					<key>Position</key>
					<real>5.080214e-01</real>
				</dict>
				<dict>
					<key>Label</key>
					<dict>
						<key>Align</key>
						<integer>0</integer>
					</dict>
					<key>Offset</key>
					<real>0.000000e+00</real>
					<key>Position</key>
					<real>1.000000e-01</real>
				</dict>
				<dict>
					<key>Label</key>
					<dict>
						<key>Align</key>
						<integer>0</integer>
					</dict>
					<key>Offset</key>
					<real>0.000000e+00</real>
					<key>Position</key>
					<real>9.000000e-01</real>
				</dict>
			</array>
			<key>Points</key>
			<array>
				<string>{369, 531}</string>
				<string>{657, 531}</string>
			</array>
			<key>Style</key>
			<dict>
				<key>stroke</key>
				<dict>
					<key>HeadArrow</key>
					<string>StickArrow</string>
					<key>HeadScale</key>
					<real>2.357143e+00</real>
					<key>TailArrow</key>
					<string>0</string>
				</dict>
			</dict>
		</dict>
		<dict>
			<key>Bounds</key>
			<string>{{180, 540}, {99, 45}}</string>
			<key>Class</key>
			<string>ShapedGraphic</string>
			<key>ID</key>
			<integer>69</integer>
			<key>Shape</key>
			<string>Circle</string>
			<key>Text</key>
			<dict>
				<key>Text</key>
				<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc

\f0\fs24 \cf0 Case}</string>
			</dict>
		</dict>
		<dict>
			<key>Bounds</key>
			<string>{{144, 513}, {171, 99}}</string>
			<key>Class</key>
			<string>ShapedGraphic</string>
			<key>ID</key>
			<integer>68</integer>
			<key>Shape</key>
			<string>Rectangle</string>
			<key>Style</key>
			<dict>
				<key>fill</key>
				<dict>
					<key>Color</key>
					<dict>
						<key>b</key>
						<real>9.523810e-01</real>
						<key>g</key>
						<real>9.523810e-01</real>
						<key>r</key>
						<real>9.523810e-01</real>
					</dict>
				</dict>
			</dict>
			<key>Text</key>
			<dict>
				<key>Text</key>
				<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica-Bold;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc

\f0\b\fs24 \cf0 System}</string>
			</dict>
			<key>TextPlacement</key>
			<integer>0</integer>
		</dict>
		<dict>
			<key>Class</key>
			<string>Group</string>
			<key>Graphics</key>
			<array>
				<dict>
					<key>Bounds</key>
					<string>{{28, 593}, {52, 18}}</string>
					<key>Class</key>
					<string>ShapedGraphic</string>
					<key>FitText</key>
					<string>YES</string>
					<key>ID</key>
					<integer>61</integer>
					<key>Shape</key>
					<string>Rectangle</string>
					<key>Style</key>
					<dict>
						<key>fill</key>
						<dict>
							<key>Draws</key>
							<string>NO</string>
						</dict>
						<key>shadow</key>
						<dict>
							<key>Draws</key>
							<string>NO</string>
						</dict>
						<key>stroke</key>
						<dict>
							<key>Draws</key>
							<string>NO</string>
						</dict>
					</dict>
					<key>Text</key>
					<dict>
						<key>Text</key>
						<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica-Bold;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc

\f0\b\fs24 \cf0 Person}</string>
					</dict>
				</dict>
				<dict>
					<key>AllowConnections</key>
					<string>NO</string>
					<key>Class</key>
					<string>LineGraphic</string>
					<key>ID</key>
					<integer>62</integer>
					<key>Points</key>
					<array>
						<string>{54, 549}</string>
						<string>{36, 549}</string>
					</array>
					<key>Style</key>
					<dict>
						<key>stroke</key>
						<dict>
							<key>HeadArrow</key>
							<string>0</string>
							<key>TailArrow</key>
							<string>0</string>
						</dict>
					</dict>
				</dict>
				<dict>
					<key>AllowConnections</key>
					<string>NO</string>
					<key>Class</key>
					<string>LineGraphic</string>
					<key>ID</key>
					<integer>63</integer>
					<key>Points</key>
					<array>
						<string>{54, 549}</string>
						<string>{72, 549}</string>
					</array>
					<key>Style</key>
					<dict>
						<key>stroke</key>
						<dict>
							<key>HeadArrow</key>
							<string>0</string>
							<key>TailArrow</key>
							<string>0</string>
						</dict>
					</dict>
				</dict>
				<dict>
					<key>AllowConnections</key>
					<string>NO</string>
					<key>Class</key>
					<string>LineGraphic</string>
					<key>ID</key>
					<integer>64</integer>
					<key>Points</key>
					<array>
						<string>{54, 567}</string>
						<string>{63, 594}</string>
					</array>
					<key>Style</key>
					<dict>
						<key>stroke</key>
						<dict>
							<key>HeadArrow</key>
							<string>0</string>
							<key>TailArrow</key>
							<string>0</string>
						</dict>
					</dict>
				</dict>
				<dict>
					<key>AllowConnections</key>
					<string>NO</string>
					<key>Class</key>
					<string>LineGraphic</string>
					<key>ID</key>
					<integer>65</integer>
					<key>Points</key>
					<array>
						<string>{54, 567}</string>
						<string>{45, 594}</string>
					</array>
					<key>Style</key>
					<dict>
						<key>stroke</key>
						<dict>
							<key>HeadArrow</key>
							<string>0</string>
							<key>TailArrow</key>
							<string>0</string>
						</dict>
					</dict>
				</dict>
				<dict>
					<key>AllowConnections</key>
					<string>NO</string>
					<key>Class</key>
					<string>LineGraphic</string>
					<key>ID</key>
					<integer>66</integer>
					<key>Points</key>
					<array>
						<string>{54, 540}</string>
						<string>{54, 567}</string>
					</array>
					<key>Style</key>
					<dict>
						<key>stroke</key>
						<dict>
							<key>HeadArrow</key>
							<string>0</string>
							<key>TailArrow</key>
							<string>0</string>
						</dict>
					</dict>
				</dict>
				<dict>
					<key>Bounds</key>
					<string>{{45, 522}, {18, 18}}</string>
					<key>Class</key>
					<string>ShapedGraphic</string>
					<key>ID</key>
					<integer>67</integer>
					<key>Shape</key>
					<string>Circle</string>
					<key>Style</key>
					<dict>
						<key>fill</key>
						<dict>
							<key>Color</key>
							<dict>
								<key>b</key>
								<real>1.000000e+00</real>
								<key>g</key>
								<real>1.000000e+00</real>
								<key>r</key>
								<real>1.000000e+00</real>
							</dict>
						</dict>
						<key>shadow</key>
						<dict>
							<key>Draws</key>
							<string>NO</string>
						</dict>
					</dict>
				</dict>
			</array>
			<key>ID</key>
			<integer>60</integer>
		</dict>
		<dict>
			<key>Bounds</key>
			<string>{{18, 477}, {180, 27}}</string>
			<key>Class</key>
			<string>ShapedGraphic</string>
			<key>FitText</key>
			<string>Vertical</string>
			<key>ID</key>
			<integer>59</integer>
			<key>Shape</key>
			<string>Rectangle</string>
			<key>Style</key>
			<dict>
				<key>fill</key>
				<dict>
					<key>Draws</key>
					<string>NO</string>
				</dict>
				<key>shadow</key>
				<dict>
					<key>Draws</key>
					<string>NO</string>
				</dict>
				<key>stroke</key>
				<dict>
					<key>Draws</key>
					<string>NO</string>
				</dict>
			</dict>
			<key>Text</key>
			<dict>
				<key>Text</key>
				<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc

\f0\fs36 \cf0 Use Case Diagrams}</string>
			</dict>
		</dict>
		<dict>
			<key>Class</key>
			<string>Group</string>
			<key>Graphics</key>
			<array>
				<dict>
					<key>Bounds</key>
					<string>{{252, 9}, {36, 27}}</string>
					<key>Class</key>
					<string>ShapedGraphic</string>
					<key>ID</key>
					<integer>57</integer>
					<key>Shape</key>
					<string>Rectangle</string>
					<key>Style</key>
					<dict>
						<key>shadow</key>
						<dict>
							<key>Draws</key>
							<string>NO</string>
						</dict>
						<key>stroke</key>
						<dict>
							<key>Pattern</key>
							<integer>1</integer>
						</dict>
					</dict>
					<key>Text</key>
					<dict>
						<key>Text</key>
						<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc

\f0\fs24 \cf0 T}</string>
					</dict>
				</dict>
				<dict>
					<key>Bounds</key>
					<string>{{180, 27}, {90, 78}}</string>
					<key>Class</key>
					<string>MultiTextGraphic</string>
					<key>FitText</key>
					<string>Vertical</string>
					<key>ID</key>
					<integer>58</integer>
					<key>ListOrientation</key>
					<string>Vertical</string>
					<key>Style</key>
					<dict>
						<key>fill</key>
						<dict>
							<key>GradientAngle</key>
							<real>3.040000e+02</real>
							<key>GradientCenter</key>
							<string>{-0.294118, -0.264706}</string>
						</dict>
					</dict>
					<key>TextList</key>
					<array>
						<dict>
							<key>Align</key>
							<integer>0</integer>
							<key>Text</key>
							<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica-Bold;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc

\f0\b\fs24 \cf0 Class}</string>
						</dict>
						<dict>
							<key>Align</key>
							<integer>0</integer>
							<key>Text</key>
							<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\ql\qnatural

\f0\fs24 \cf0 Attributes\
Attributes}</string>
						</dict>
						<dict>
							<key>Align</key>
							<integer>0</integer>
							<key>Text</key>
							<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\ql\qnatural

\f0\fs24 \cf0 Operations\
Operations}</string>
						</dict>
					</array>
					<key>TextPlacement</key>
					<integer>0</integer>
				</dict>
			</array>
			<key>ID</key>
			<integer>56</integer>
		</dict>
		<dict>
			<key>Bounds</key>
			<string>{{99, 381}, {90, 78}}</string>
			<key>Class</key>
			<string>MultiTextGraphic</string>
			<key>FitText</key>
			<string>Vertical</string>
			<key>ID</key>
			<integer>55</integer>
			<key>ListOrientation</key>
			<string>Vertical</string>
			<key>Style</key>
			<dict>
				<key>fill</key>
				<dict>
					<key>GradientAngle</key>
					<real>3.040000e+02</real>
					<key>GradientCenter</key>
					<string>{-0.294118, -0.264706}</string>
				</dict>
			</dict>
			<key>TextList</key>
			<array>
				<dict>
					<key>Align</key>
					<integer>0</integer>
					<key>Text</key>
					<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica-Bold;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc

\f0\b\fs24 \cf0 Association}</string>
				</dict>
				<dict>
					<key>Align</key>
					<integer>0</integer>
					<key>Text</key>
					<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\ql\qnatural

\f0\fs24 \cf0 Attributes\
Attributes}</string>
				</dict>
				<dict>
					<key>Align</key>
					<integer>0</integer>
					<key>Text</key>
					<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\ql\qnatural

\f0\fs24 \cf0 Operations\
Operations}</string>
				</dict>
			</array>
			<key>TextPlacement</key>
			<integer>0</integer>
		</dict>
		<dict>
			<key>Bounds</key>
			<string>{{18, 27}, {90, 78}}</string>
			<key>Class</key>
			<string>MultiTextGraphic</string>
			<key>FitText</key>
			<string>Vertical</string>
			<key>ID</key>
			<integer>54</integer>
			<key>ListOrientation</key>
			<string>Vertical</string>
			<key>Style</key>
			<dict>
				<key>fill</key>
				<dict>
					<key>GradientAngle</key>
					<real>3.040000e+02</real>
					<key>GradientCenter</key>
					<string>{-0.294118, -0.264706}</string>
				</dict>
			</dict>
			<key>TextList</key>
			<array>
				<dict>
					<key>Align</key>
					<integer>0</integer>
					<key>Text</key>
					<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica-Bold;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc

\f0\b\fs24 \cf0 Class Name}</string>
				</dict>
				<dict>
					<key>Align</key>
					<integer>0</integer>
					<key>Text</key>
					<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\ql\qnatural

\f0\fs24 \cf0 Attributes\
Attributes}</string>
				</dict>
				<dict>
					<key>Align</key>
					<integer>0</integer>
					<key>Text</key>
					<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\ql\qnatural

\f0\fs24 \cf0 Operations\
Operations}</string>
				</dict>
			</array>
			<key>TextPlacement</key>
			<integer>0</integer>
		</dict>
		<dict>
			<key>Class</key>
			<string>LineGraphic</string>
			<key>Head</key>
			<dict>
				<key>ID</key>
				<integer>17</integer>
			</dict>
			<key>ID</key>
			<integer>53</integer>
			<key>Points</key>
			<array>
				<string>{63, 243}</string>
				<string>{63, 180}</string>
			</array>
			<key>Style</key>
			<dict>
				<key>stroke</key>
				<dict>
					<key>HeadArrow</key>
					<string>UMLInheritance</string>
					<key>LineType</key>
					<integer>1</integer>
					<key>TailArrow</key>
					<string>0</string>
				</dict>
			</dict>
			<key>Tail</key>
			<dict>
				<key>ID</key>
				<integer>18</integer>
			</dict>
		</dict>
		<dict>
			<key>Bounds</key>
			<string>{{378, 279}, {99, 63}}</string>
			<key>Class</key>
			<string>ShapedGraphic</string>
			<key>ID</key>
			<integer>52</integer>
			<key>Magnets</key>
			<array>
				<string>{0, 1}</string>
				<string>{0, -1}</string>
				<string>{1, 0}</string>
				<string>{-1, 0}</string>
			</array>
			<key>Shape</key>
			<string>Cube</string>
			<key>Text</key>
			<dict>
				<key>Align</key>
				<integer>0</integer>
				<key>Text</key>
				<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica-Bold;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\ql\qnatural

\f0\b\fs24 \cf0 \
}</string>
			</dict>
			<key>TextPlacement</key>
			<integer>0</integer>
		</dict>
		<dict>
			<key>Class</key>
			<string>LineGraphic</string>
			<key>Head</key>
			<dict>
				<key>ID</key>
				<integer>48</integer>
			</dict>
			<key>ID</key>
			<integer>51</integer>
			<key>Points</key>
			<array>
				<string>{630, 378}</string>
				<string>{675, 378}</string>
			</array>
			<key>Style</key>
			<dict>
				<key>stroke</key>
				<dict>
					<key>HeadArrow</key>
					<string>StickArrow</string>
					<key>LineType</key>
					<integer>1</integer>
					<key>TailArrow</key>
					<string>0</string>
				</dict>
			</dict>
			<key>Tail</key>
			<dict>
				<key>ID</key>
				<integer>47</integer>
			</dict>
		</dict>
		<dict>
			<key>Class</key>
			<string>LineGraphic</string>
			<key>Head</key>
			<dict>
				<key>ID</key>
				<integer>49</integer>
			</dict>
			<key>ID</key>
			<integer>50</integer>
			<key>Points</key>
			<array>
				<string>{630, 306}</string>
				<string>{675, 306}</string>
			</array>
			<key>Style</key>
			<dict>
				<key>stroke</key>
				<dict>
					<key>HeadArrow</key>
					<string>StickArrow</string>
					<key>LineType</key>
					<integer>1</integer>
					<key>TailArrow</key>
					<string>0</string>
				</dict>
			</dict>
			<key>Tail</key>
			<dict>
				<key>ID</key>
				<integer>46</integer>
			</dict>
		</dict>
		<dict>
			<key>Bounds</key>
			<string>{{675, 288}, {63, 36}}</string>
			<key>Class</key>
			<string>ShapedGraphic</string>
			<key>ID</key>
			<integer>49</integer>
			<key>Magnets</key>
			<array>
				<string>{0, 1}</string>
				<string>{0, -1}</string>
				<string>{1, 0}</string>
				<string>{-1, 0}</string>
			</array>
			<key>Shape</key>
			<string>RoundRect</string>
			<key>Text</key>
			<dict>
				<key>Text</key>
				<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica-Bold;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc

\f0\b\fs24 \cf0 State}</string>
			</dict>
		</dict>
		<dict>
			<key>Bounds</key>
			<string>{{675, 360}, {63, 36}}</string>
			<key>Class</key>
			<string>ShapedGraphic</string>
			<key>ID</key>
			<integer>48</integer>
			<key>Magnets</key>
			<array>
				<string>{0, 1}</string>
				<string>{0, -1}</string>
				<string>{1, 0}</string>
				<string>{-1, 0}</string>
			</array>
			<key>Shape</key>
			<string>RoundRect</string>
			<key>Text</key>
			<dict>
				<key>Text</key>
				<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica-Bold;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc

\f0\b\fs24 \cf0 State}</string>
			</dict>
		</dict>
		<dict>
			<key>Bounds</key>
			<string>{{567, 360}, {63, 36}}</string>
			<key>Class</key>
			<string>ShapedGraphic</string>
			<key>ID</key>
			<integer>47</integer>
			<key>Magnets</key>
			<array>
				<string>{0, 1}</string>
				<string>{0, -1}</string>
				<string>{1, 0}</string>
				<string>{-1, 0}</string>
			</array>
			<key>Shape</key>
			<string>RoundRect</string>
			<key>Text</key>
			<dict>
				<key>Text</key>
				<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica-Bold;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc

\f0\b\fs24 \cf0 State}</string>
			</dict>
		</dict>
		<dict>
			<key>Bounds</key>
			<string>{{567, 288}, {63, 36}}</string>
			<key>Class</key>
			<string>ShapedGraphic</string>
			<key>ID</key>
			<integer>46</integer>
			<key>Magnets</key>
			<array>
				<string>{0, 1}</string>
				<string>{0, -1}</string>
				<string>{1, 0}</string>
				<string>{-1, 0}</string>
			</array>
			<key>Shape</key>
			<string>RoundRect</string>
			<key>Text</key>
			<dict>
				<key>Text</key>
				<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica-Bold;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc

\f0\b\fs24 \cf0 State}</string>
			</dict>
		</dict>
		<dict>
			<key>Class</key>
			<string>Group</string>
			<key>Graphics</key>
			<array>
				<dict>
					<key>Class</key>
					<string>LineGraphic</string>
					<key>Head</key>
					<dict>
						<key>ID</key>
						<integer>45</integer>
						<key>Info</key>
						<integer>3</integer>
					</dict>
					<key>ID</key>
					<integer>44</integer>
					<key>Points</key>
					<array>
						<string>{549, 337.25}</string>
						<string>{783, 337.25}</string>
					</array>
					<key>Style</key>
					<dict>
						<key>stroke</key>
						<dict>
							<key>HeadArrow</key>
							<string>0</string>
							<key>LineType</key>
							<integer>1</integer>
							<key>Pattern</key>
							<integer>1</integer>
							<key>TailArrow</key>
							<string>0</string>
						</dict>
					</dict>
					<key>Tail</key>
					<dict>
						<key>ID</key>
						<integer>45</integer>
						<key>Info</key>
						<integer>4</integer>
					</dict>
				</dict>
				<dict>
					<key>Bounds</key>
					<string>{{549, 261}, {234, 153}}</string>
					<key>Class</key>
					<string>ShapedGraphic</string>
					<key>ID</key>
					<integer>45</integer>
					<key>Magnets</key>
					<array>
						<string>{0, 1}</string>
						<string>{0, -1}</string>
						<string>{1, 0}</string>
						<string>{-1, 0}</string>
					</array>
					<key>Shape</key>
					<string>RoundedRectangle</string>
					<key>Text</key>
					<dict>
						<key>Text</key>
						<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica-Bold;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc

\f0\b\fs24 \cf0 \ul State Name}</string>
					</dict>
					<key>TextPlacement</key>
					<integer>0</integer>
				</dict>
			</array>
			<key>ID</key>
			<integer>43</integer>
		</dict>
		<dict>
			<key>Bounds</key>
			<string>{{545, 234}, {157, 27}}</string>
			<key>Class</key>
			<string>ShapedGraphic</string>
			<key>FitText</key>
			<string>Vertical</string>
			<key>ID</key>
			<integer>42</integer>
			<key>Shape</key>
			<string>Rectangle</string>
			<key>Style</key>
			<dict>
				<key>fill</key>
				<dict>
					<key>Draws</key>
					<string>NO</string>
				</dict>
				<key>shadow</key>
				<dict>
					<key>Draws</key>
					<string>NO</string>
				</dict>
				<key>stroke</key>
				<dict>
					<key>Draws</key>
					<string>NO</string>
				</dict>
			</dict>
			<key>Text</key>
			<dict>
				<key>Text</key>
				<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc

\f0\fs36 \cf0 Concurrent States}</string>
			</dict>
		</dict>
		<dict>
			<key>Bounds</key>
			<string>{{540, 27}, {136, 27}}</string>
			<key>Class</key>
			<string>ShapedGraphic</string>
			<key>FitText</key>
			<string>Vertical</string>
			<key>ID</key>
			<integer>41</integer>
			<key>Shape</key>
			<string>Rectangle</string>
			<key>Style</key>
			<dict>
				<key>fill</key>
				<dict>
					<key>Draws</key>
					<string>NO</string>
				</dict>
				<key>shadow</key>
				<dict>
					<key>Draws</key>
					<string>NO</string>
				</dict>
				<key>stroke</key>
				<dict>
					<key>Draws</key>
					<string>NO</string>
				</dict>
			</dict>
			<key>Text</key>
			<dict>
				<key>Text</key>
				<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc

\f0\fs36 \cf0 State Diagrams}</string>
			</dict>
		</dict>
		<dict>
			<key>Class</key>
			<string>LineGraphic</string>
			<key>Head</key>
			<dict>
				<key>ID</key>
				<integer>32</integer>
			</dict>
			<key>ID</key>
			<integer>40</integer>
			<key>Points</key>
			<array>
				<string>{790.247, 171}</string>
				<string>{789.479, 195.008}</string>
			</array>
			<key>Style</key>
			<dict>
				<key>stroke</key>
				<dict>
					<key>HeadArrow</key>
					<string>StickArrow</string>
					<key>LineType</key>
					<integer>1</integer>
					<key>TailArrow</key>
					<string>0</string>
				</dict>
			</dict>
			<key>Tail</key>
			<dict>
				<key>ID</key>
				<integer>37</integer>
			</dict>
		</dict>
		<dict>
			<key>Class</key>
			<string>LineGraphic</string>
			<key>Head</key>
			<dict>
				<key>ID</key>
				<integer>37</integer>
			</dict>
			<key>ID</key>
			<integer>39</integer>
			<key>Labels</key>
			<array>
				<dict>
					<key>Filled</key>
					<string>NO</string>
					<key>Label</key>
					<dict>
						<key>Align</key>
						<integer>0</integer>
						<key>Text</key>
						<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\ql\qnatural

\f0\fs24 \cf0 action}</string>
					</dict>
					<key>LabelVisible</key>
					<string>YES</string>
					<key>Offset</key>
					<real>6.315789e+00</real>
					<key>Position</key>
					<real>5.160227e-01</real>
				</dict>
				<dict>
					<key>Label</key>
					<dict>
						<key>Align</key>
						<integer>0</integer>
					</dict>
					<key>Offset</key>
					<real>0.000000e+00</real>
					<key>Position</key>
					<real>1.000000e-01</real>
				</dict>
				<dict>
					<key>Label</key>
					<dict>
						<key>Align</key>
						<integer>0</integer>
					</dict>
					<key>Offset</key>
					<real>0.000000e+00</real>
					<key>Position</key>
					<real>9.000000e-01</real>
				</dict>
			</array>
			<key>Points</key>
			<array>
				<string>{693, 148.25}</string>
				<string>{759, 148.252}</string>
			</array>
			<key>Style</key>
			<dict>
				<key>stroke</key>
				<dict>
					<key>HeadArrow</key>
					<string>StickArrow</string>
					<key>LineType</key>
					<integer>1</integer>
					<key>TailArrow</key>
					<string>0</string>
				</dict>
			</dict>
			<key>Tail</key>
			<dict>
				<key>ID</key>
				<integer>36</integer>
			</dict>
		</dict>
		<dict>
			<key>Class</key>
			<string>LineGraphic</string>
			<key>Head</key>
			<dict>
				<key>ID</key>
				<integer>36</integer>
			</dict>
			<key>ID</key>
			<integer>38</integer>
			<key>Points</key>
			<array>
				<string>{622.044, 83.9907}</string>
				<string>{621, 108}</string>
			</array>
			<key>Style</key>
			<dict>
				<key>stroke</key>
				<dict>
					<key>HeadArrow</key>
					<string>StickArrow</string>
					<key>LineType</key>
					<integer>1</integer>
					<key>TailArrow</key>
					<string>0</string>
				</dict>
			</dict>
			<key>Tail</key>
			<dict>
				<key>ID</key>
				<integer>33</integer>
			</dict>
		</dict>
		<dict>
			<key>Bounds</key>
			<string>{{759, 126}, {63, 45}}</string>
			<key>Class</key>
			<string>ShapedGraphic</string>
			<key>ID</key>
			<integer>37</integer>
			<key>Magnets</key>
			<array>
				<string>{0, 1}</string>
				<string>{0, -1}</string>
				<string>{1, 0}</string>
				<string>{-1, 0}</string>
			</array>
			<key>Shape</key>
			<string>RoundedRectangle</string>
			<key>Text</key>
			<dict>
				<key>Text</key>
				<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica-Bold;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc

\f0\b\fs24 \cf0 State}</string>
			</dict>
		</dict>
		<dict>
			<key>Bounds</key>
			<string>{{549, 108}, {144, 81}}</string>
			<key>Class</key>
			<string>ShapedGraphic</string>
			<key>ID</key>
			<integer>36</integer>
			<key>Magnets</key>
			<array>
				<string>{0, 1}</string>
				<string>{0, -1}</string>
				<string>{1, 0}</string>
				<string>{-1, 0}</string>
			</array>
			<key>Shape</key>
			<string>RoundedRectangle</string>
			<key>Text</key>
			<dict>
				<key>Text</key>
				<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica-Bold;\f1\fswiss\fcharset77 Helvetica;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc

\f0\b\fs24 \cf0 \ul State Name\ulnone \
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\ql\qnatural

\f1\b0 \cf0 entry/action\
do/activity\
exit/action\
event/action(arguments)}</string>
			</dict>
			<key>TextPlacement</key>
			<integer>0</integer>
		</dict>
		<dict>
			<key>Bounds</key>
			<string>{{813, 204}, {33, 18}}</string>
			<key>Class</key>
			<string>ShapedGraphic</string>
			<key>FitText</key>
			<string>Vertical</string>
			<key>ID</key>
			<integer>35</integer>
			<key>Shape</key>
			<string>Rectangle</string>
			<key>Style</key>
			<dict>
				<key>fill</key>
				<dict>
					<key>Draws</key>
					<string>NO</string>
				</dict>
				<key>shadow</key>
				<dict>
					<key>Draws</key>
					<string>NO</string>
				</dict>
				<key>stroke</key>
				<dict>
					<key>Draws</key>
					<string>NO</string>
				</dict>
			</dict>
			<key>Text</key>
			<dict>
				<key>Text</key>
				<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica-Bold;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc

\f0\b\fs24 \cf0 end}</string>
			</dict>
		</dict>
		<dict>
			<key>Bounds</key>
			<string>{{637, 63}, {38, 18}}</string>
			<key>Class</key>
			<string>ShapedGraphic</string>
			<key>FitText</key>
			<string>Vertical</string>
			<key>ID</key>
			<integer>34</integer>
			<key>Shape</key>
			<string>Rectangle</string>
			<key>Style</key>
			<dict>
				<key>fill</key>
				<dict>
					<key>Draws</key>
					<string>NO</string>
				</dict>
				<key>shadow</key>
				<dict>
					<key>Draws</key>
					<string>NO</string>
				</dict>
				<key>stroke</key>
				<dict>
					<key>Draws</key>
					<string>NO</string>
				</dict>
			</dict>
			<key>Text</key>
			<dict>
				<key>Text</key>
				<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica-Bold;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc

\f0\b\fs24 \cf0 start}</string>
			</dict>
		</dict>
		<dict>
			<key>Bounds</key>
			<string>{{612, 63}, {21, 21}}</string>
			<key>Class</key>
			<string>ShapedGraphic</string>
			<key>ID</key>
			<integer>33</integer>
			<key>Shape</key>
			<string>Circle</string>
			<key>Style</key>
			<dict>
				<key>fill</key>
				<dict>
					<key>Color</key>
					<dict>
						<key>w</key>
						<real>0.000000e+00</real>
					</dict>
				</dict>
				<key>shadow</key>
				<dict>
					<key>Draws</key>
					<string>NO</string>
				</dict>
			</dict>
		</dict>
		<dict>
			<key>Class</key>
			<string>Group</string>
			<key>Graphics</key>
			<array>
				<dict>
					<key>Bounds</key>
					<string>{{778.5, 199.5}, {21, 21}}</string>
					<key>Class</key>
					<string>ShapedGraphic</string>
					<key>ID</key>
					<integer>31</integer>
					<key>Shape</key>
					<string>Circle</string>
					<key>Style</key>
					<dict>
						<key>fill</key>
						<dict>
							<key>Color</key>
							<dict>
								<key>w</key>
								<real>0.000000e+00</real>
							</dict>
						</dict>
						<key>shadow</key>
						<dict>
							<key>Draws</key>
							<string>NO</string>
						</dict>
					</dict>
				</dict>
				<dict>
					<key>Bounds</key>
					<string>{{774, 195}, {30, 30}}</string>
					<key>Class</key>
					<string>ShapedGraphic</string>
					<key>ID</key>
					<integer>32</integer>
					<key>Shape</key>
					<string>Circle</string>
				</dict>
			</array>
			<key>ID</key>
			<integer>30</integer>
		</dict>
		<dict>
			<key>Class</key>
			<string>Group</string>
			<key>Graphics</key>
			<array>
				<dict>
					<key>Bounds</key>
					<string>{{360, 227}, {30, 12}}</string>
					<key>Class</key>
					<string>ShapedGraphic</string>
					<key>ID</key>
					<integer>27</integer>
					<key>Shape</key>
					<string>Rectangle</string>
					<key>Style</key>
					<dict>
						<key>shadow</key>
						<dict>
							<key>Draws</key>
							<string>NO</string>
						</dict>
					</dict>
				</dict>
				<dict>
					<key>Bounds</key>
					<string>{{360, 202}, {30, 12}}</string>
					<key>Class</key>
					<string>ShapedGraphic</string>
					<key>ID</key>
					<integer>28</integer>
					<key>Shape</key>
					<string>Rectangle</string>
					<key>Style</key>
					<dict>
						<key>shadow</key>
						<dict>
							<key>Draws</key>
							<string>NO</string>
						</dict>
					</dict>
				</dict>
				<dict>
					<key>Bounds</key>
					<string>{{378, 189}, {99, 63}}</string>
					<key>Class</key>
					<string>ShapedGraphic</string>
					<key>ID</key>
					<integer>29</integer>
					<key>Magnets</key>
					<array>
						<string>{0, 1}</string>
						<string>{0, -1}</string>
						<string>{1, 0}</string>
						<string>{-1, 0}</string>
					</array>
					<key>Shape</key>
					<string>Rectangle</string>
					<key>Text</key>
					<dict>
						<key>Text</key>
						<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc

\f0\fs24 \cf0 Component}</string>
					</dict>
				</dict>
			</array>
			<key>ID</key>
			<integer>26</integer>
		</dict>
		<dict>
			<key>Bounds</key>
			<string>{{468, 423}, {54, 18}}</string>
			<key>Class</key>
			<string>ShapedGraphic</string>
			<key>ID</key>
			<integer>25</integer>
			<key>Magnets</key>
			<array>
				<string>{0, 1}</string>
				<string>{0, -1}</string>
				<string>{1, 0}</string>
				<string>{-1, 0}</string>
			</array>
			<key>Shape</key>
			<string>Rectangle</string>
			<key>Text</key>
			<dict>
				<key>Text</key>
				<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica-Bold;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc

\f0\b\fs24 \cf0 Class}</string>
			</dict>
		</dict>
		<dict>
			<key>Bounds</key>
			<string>{{351, 423}, {54, 18}}</string>
			<key>Class</key>
			<string>ShapedGraphic</string>
			<key>ID</key>
			<integer>24</integer>
			<key>Magnets</key>
			<array>
				<string>{0, 1}</string>
				<string>{0, -1}</string>
				<string>{1, 0}</string>
				<string>{-1, 0}</string>
			</array>
			<key>Shape</key>
			<string>Rectangle</string>
			<key>Text</key>
			<dict>
				<key>Text</key>
				<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica-Bold;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc

\f0\b\fs24 \cf0 Class}</string>
			</dict>
		</dict>
		<dict>
			<key>Class</key>
			<string>LineGraphic</string>
			<key>Head</key>
			<dict>
				<key>ID</key>
				<integer>25</integer>
			</dict>
			<key>ID</key>
			<integer>23</integer>
			<key>Labels</key>
			<array>
				<dict>
					<key>Label</key>
					<dict>
						<key>Align</key>
						<integer>0</integer>
					</dict>
					<key>Offset</key>
					<real>0.000000e+00</real>
					<key>Position</key>
					<real>5.000000e-01</real>
				</dict>
				<dict>
					<key>Filled</key>
					<string>NO</string>
					<key>Label</key>
					<dict>
						<key>Align</key>
						<integer>0</integer>
						<key>Text</key>
						<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\ql\qnatural

\f0\fs24 \cf0 0..1}</string>
					</dict>
					<key>LabelVisible</key>
					<string>YES</string>
					<key>Offset</key>
					<real>5.333333e+00</real>
					<key>Position</key>
					<real>2.000000e-01</real>
				</dict>
				<dict>
					<key>Filled</key>
					<string>NO</string>
					<key>FixedWidth</key>
					<real>1.600000e+01</real>
					<key>Label</key>
					<dict>
						<key>Align</key>
						<integer>0</integer>
						<key>Text</key>
						<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\ql\qnatural

\f0\fs24 \cf0 *}</string>
					</dict>
					<key>LabelVisible</key>
					<string>YES</string>
					<key>Offset</key>
					<real>2.666667e+00</real>
					<key>Position</key>
					<real>9.000000e-01</real>
				</dict>
			</array>
			<key>Points</key>
			<array>
				<string>{405, 432}</string>
				<string>{468, 432}</string>
			</array>
			<key>Style</key>
			<dict>
				<key>stroke</key>
				<dict>
					<key>HeadArrow</key>
					<string>0</string>
					<key>LineType</key>
					<integer>1</integer>
					<key>TailArrow</key>
					<string>0</string>
				</dict>
			</dict>
			<key>Tail</key>
			<dict>
				<key>ID</key>
				<integer>24</integer>
			</dict>
		</dict>
		<dict>
			<key>Bounds</key>
			<string>{{468, 378}, {54, 18}}</string>
			<key>Class</key>
			<string>ShapedGraphic</string>
			<key>ID</key>
			<integer>22</integer>
			<key>Magnets</key>
			<array>
				<string>{0, 1}</string>
				<string>{0, -1}</string>
				<string>{1, 0}</string>
				<string>{-1, 0}</string>
			</array>
			<key>Shape</key>
			<string>Rectangle</string>
			<key>Text</key>
			<dict>
				<key>Text</key>
				<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica-Bold;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc

\f0\b\fs24 \cf0 Class}</string>
			</dict>
		</dict>
		<dict>
			<key>Bounds</key>
			<string>{{351, 378}, {54, 18}}</string>
			<key>Class</key>
			<string>ShapedGraphic</string>
			<key>ID</key>
			<integer>21</integer>
			<key>Magnets</key>
			<array>
				<string>{0, 1}</string>
				<string>{0, -1}</string>
				<string>{1, 0}</string>
				<string>{-1, 0}</string>
			</array>
			<key>Shape</key>
			<string>Rectangle</string>
			<key>Text</key>
			<dict>
				<key>Text</key>
				<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica-Bold;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc

\f0\b\fs24 \cf0 Class}</string>
			</dict>
		</dict>
		<dict>
			<key>Class</key>
			<string>LineGraphic</string>
			<key>Head</key>
			<dict>
				<key>ID</key>
				<integer>22</integer>
			</dict>
			<key>ID</key>
			<integer>20</integer>
			<key>Labels</key>
			<array>
				<dict>
					<key>Label</key>
					<dict>
						<key>Align</key>
						<integer>0</integer>
					</dict>
					<key>Offset</key>
					<real>0.000000e+00</real>
					<key>Position</key>
					<real>5.000000e-01</real>
				</dict>
				<dict>
					<key>Filled</key>
					<string>NO</string>
					<key>Label</key>
					<dict>
						<key>Align</key>
						<integer>0</integer>
						<key>Text</key>
						<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\ql\qnatural

\f0\fs24 \cf0 1}</string>
					</dict>
					<key>LabelVisible</key>
					<string>YES</string>
					<key>Offset</key>
					<real>5.333333e+00</real>
					<key>Position</key>
					<real>1.000000e-01</real>
				</dict>
				<dict>
					<key>Filled</key>
					<string>NO</string>
					<key>FixedWidth</key>
					<real>1.600000e+01</real>
					<key>Label</key>
					<dict>
						<key>Align</key>
						<integer>0</integer>
						<key>Text</key>
						<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\ql\qnatural

\f0\fs24 \cf0 *}</string>
					</dict>
					<key>LabelVisible</key>
					<string>YES</string>
					<key>Offset</key>
					<real>2.666667e+00</real>
					<key>Position</key>
					<real>9.000000e-01</real>
				</dict>
			</array>
			<key>Points</key>
			<array>
				<string>{405, 387}</string>
				<string>{468, 387}</string>
			</array>
			<key>Style</key>
			<dict>
				<key>stroke</key>
				<dict>
					<key>HeadArrow</key>
					<string>0</string>
					<key>LineType</key>
					<integer>1</integer>
					<key>TailArrow</key>
					<string>0</string>
				</dict>
			</dict>
			<key>Tail</key>
			<dict>
				<key>ID</key>
				<integer>21</integer>
			</dict>
		</dict>
		<dict>
			<key>Bounds</key>
			<string>{{378, 108}, {99, 63}}</string>
			<key>Class</key>
			<string>ShapedGraphic</string>
			<key>ID</key>
			<integer>19</integer>
			<key>Shape</key>
			<string>NoteShape</string>
			<key>Text</key>
			<dict>
				<key>Text</key>
				<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc

\f0\fs24 \cf0 Note}</string>
			</dict>
		</dict>
		<dict>
			<key>Bounds</key>
			<string>{{18, 243}, {90, 36}}</string>
			<key>Class</key>
			<string>ShapedGraphic</string>
			<key>ID</key>
			<integer>18</integer>
			<key>Magnets</key>
			<array>
				<string>{0, 1}</string>
				<string>{0, -1}</string>
				<string>{1, 0}</string>
				<string>{-1, 0}</string>
			</array>
			<key>Shape</key>
			<string>Rectangle</string>
			<key>Text</key>
			<dict>
				<key>Text</key>
				<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica-Bold;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc

\f0\b\fs24 \cf0 Subclass}</string>
			</dict>
		</dict>
		<dict>
			<key>Bounds</key>
			<string>{{18, 144}, {90, 36}}</string>
			<key>Class</key>
			<string>ShapedGraphic</string>
			<key>ID</key>
			<integer>17</integer>
			<key>Magnets</key>
			<array>
				<string>{0, 1}</string>
				<string>{0, -1}</string>
				<string>{1, 0}</string>
				<string>{-1, 0}</string>
			</array>
			<key>Shape</key>
			<string>Rectangle</string>
			<key>Text</key>
			<dict>
				<key>Text</key>
				<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica-Bold;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc

\f0\b\fs24 \cf0 Superclass}</string>
			</dict>
		</dict>
		<dict>
			<key>Class</key>
			<string>LineGraphic</string>
			<key>Head</key>
			<dict>
				<key>ID</key>
				<integer>58</integer>
			</dict>
			<key>ID</key>
			<integer>16</integer>
			<key>Labels</key>
			<array>
				<dict>
					<key>Label</key>
					<dict>
						<key>Align</key>
						<integer>0</integer>
						<key>Text</key>
						<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\ql\qnatural

\f0\fs20 \cf0 &lt;&lt;bind&gt;&gt;}</string>
					</dict>
					<key>LabelVisible</key>
					<string>YES</string>
					<key>Offset</key>
					<real>-2.000000e+01</real>
					<key>Position</key>
					<real>4.068966e-01</real>
				</dict>
				<dict>
					<key>Label</key>
					<dict>
						<key>Align</key>
						<integer>0</integer>
					</dict>
					<key>Offset</key>
					<real>0.000000e+00</real>
					<key>Position</key>
					<real>1.000000e-01</real>
				</dict>
				<dict>
					<key>Label</key>
					<dict>
						<key>Align</key>
						<integer>0</integer>
					</dict>
					<key>Offset</key>
					<real>0.000000e+00</real>
					<key>Position</key>
					<real>9.000000e-01</real>
				</dict>
			</array>
			<key>Points</key>
			<array>
				<string>{225, 171}</string>
				<string>{225, 105}</string>
			</array>
			<key>Style</key>
			<dict>
				<key>stroke</key>
				<dict>
					<key>HeadArrow</key>
					<string>StickArrow</string>
					<key>Pattern</key>
					<integer>1</integer>
					<key>TailArrow</key>
					<string>0</string>
				</dict>
			</dict>
			<key>Tail</key>
			<dict>
				<key>ID</key>
				<integer>15</integer>
			</dict>
		</dict>
		<dict>
			<key>Bounds</key>
			<string>{{180, 171}, {90, 36}}</string>
			<key>Class</key>
			<string>ShapedGraphic</string>
			<key>ID</key>
			<integer>15</integer>
			<key>Magnets</key>
			<array>
				<string>{0, 1}</string>
				<string>{0, -1}</string>
				<string>{1, 0}</string>
				<string>{-1, 0}</string>
			</array>
			<key>Shape</key>
			<string>Rectangle</string>
			<key>Text</key>
			<dict>
				<key>Text</key>
				<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica-Bold;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc

\f0\b\fs24 \cf0 Bound Class}</string>
			</dict>
		</dict>
		<dict>
			<key>Class</key>
			<string>LineGraphic</string>
			<key>Head</key>
			<dict>
				<key>ID</key>
				<integer>55</integer>
			</dict>
			<key>ID</key>
			<integer>14</integer>
			<key>Points</key>
			<array>
				<string>{144, 333}</string>
				<string>{144, 381}</string>
			</array>
			<key>Style</key>
			<dict>
				<key>stroke</key>
				<dict>
					<key>HeadArrow</key>
					<string>0</string>
					<key>Pattern</key>
					<integer>1</integer>
					<key>TailArrow</key>
					<string>0</string>
				</dict>
			</dict>
			<key>Tail</key>
			<dict>
				<key>ID</key>
				<integer>13</integer>
				<key>Info</key>
				<integer>1</integer>
			</dict>
		</dict>
		<dict>
			<key>Class</key>
			<string>LineGraphic</string>
			<key>Head</key>
			<dict>
				<key>ID</key>
				<integer>11</integer>
			</dict>
			<key>ID</key>
			<integer>13</integer>
			<key>Points</key>
			<array>
				<string>{108, 333}</string>
				<string>{144, 333}</string>
				<string>{180, 333}</string>
			</array>
			<key>Style</key>
			<dict>
				<key>stroke</key>
				<dict>
					<key>HeadArrow</key>
					<string>0</string>
					<key>TailArrow</key>
					<string>0</string>
				</dict>
			</dict>
			<key>Tail</key>
			<dict>
				<key>ID</key>
				<integer>12</integer>
			</dict>
		</dict>
		<dict>
			<key>Bounds</key>
			<string>{{18, 315}, {90, 36}}</string>
			<key>Class</key>
			<string>ShapedGraphic</string>
			<key>ID</key>
			<integer>12</integer>
			<key>Magnets</key>
			<array>
				<string>{0, 1}</string>
				<string>{0, -1}</string>
				<string>{1, 0}</string>
				<string>{-1, 0}</string>
			</array>
			<key>Shape</key>
			<string>Rectangle</string>
			<key>Text</key>
			<dict>
				<key>Text</key>
				<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica-Bold;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc

\f0\b\fs24 \cf0 Class Name}</string>
			</dict>
		</dict>
		<dict>
			<key>Bounds</key>
			<string>{{180, 315}, {90, 36}}</string>
			<key>Class</key>
			<string>ShapedGraphic</string>
			<key>ID</key>
			<integer>11</integer>
			<key>Magnets</key>
			<array>
				<string>{0, 1}</string>
				<string>{0, -1}</string>
				<string>{1, 0}</string>
				<string>{-1, 0}</string>
			</array>
			<key>Shape</key>
			<string>Rectangle</string>
			<key>Text</key>
			<dict>
				<key>Text</key>
				<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica-Bold;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc

\f0\b\fs24 \cf0 Class Name}</string>
			</dict>
		</dict>
		<dict>
			<key>Class</key>
			<string>Group</string>
			<key>Graphics</key>
			<array>
				<dict>
					<key>Bounds</key>
					<string>{{270, 252}, {54, 18}}</string>
					<key>Class</key>
					<string>ShapedGraphic</string>
					<key>ID</key>
					<integer>9</integer>
					<key>Magnets</key>
					<array>
						<string>{1, 0}</string>
					</array>
					<key>Shape</key>
					<string>Rectangle</string>
					<key>Text</key>
					<dict>
						<key>Text</key>
						<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc

\f0\fs24 \cf0 qualifier}</string>
					</dict>
				</dict>
				<dict>
					<key>Bounds</key>
					<string>{{180, 243}, {90, 36}}</string>
					<key>Class</key>
					<string>ShapedGraphic</string>
					<key>ID</key>
					<integer>10</integer>
					<key>Magnets</key>
					<array>
						<string>{0, -1}</string>
						<string>{-1, 0}</string>
						<string>{0, 1}</string>
					</array>
					<key>Shape</key>
					<string>Rectangle</string>
					<key>Text</key>
					<dict>
						<key>Text</key>
						<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica-Bold;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc

\f0\b\fs24 \cf0 Class Name}</string>
					</dict>
				</dict>
			</array>
			<key>ID</key>
			<integer>8</integer>
		</dict>
		<dict>
			<key>Class</key>
			<string>Group</string>
			<key>Graphics</key>
			<array>
				<dict>
					<key>Bounds</key>
					<string>{{378, 27}, {99, 54}}</string>
					<key>Class</key>
					<string>ShapedGraphic</string>
					<key>ID</key>
					<integer>6</integer>
					<key>Shape</key>
					<string>Rectangle</string>
					<key>Text</key>
					<dict>
						<key>Text</key>
						<string>{\rtf1\mac\ansicpg10000\cocoartf100
{\fonttbl\f0\fswiss\fcharset77 Helvetica;}
{\colortbl;\red255\green255\blue255;}
\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc

\f0\fs24 \cf0 Package}</string>
					</dict>
				</dict>
				<dict>
					<key>Bounds</key>
					<string>{{378, 18}, {29.1176, 9}}</string>
					<key>Class</key>
					<string>ShapedGraphic</string>
					<key>ID</key>
					<integer>7</integer>
					<key>Shape</key>
					<string>Rectangle</string>
				</dict>
			</array>
			<key>ID</key>
			<integer>5</integer>
		</dict>
	</array>
	<key>GridInfo</key>
	<dict>
		<key>MinorGridColor</key>
		<dict>
			<key>a</key>
			<real>3.000000e-01</real>
			<key>w</key>
			<real>6.666667e-01</real>
		</dict>
	</dict>
	<key>HPages</key>
	<integer>2</integer>
	<key>ImageCounter</key>
	<integer>1</integer>
	<key>IsPalette</key>
	<string>YES</string>
	<key>Layers</key>
	<array>
		<dict>
			<key>Lock</key>
			<string>NO</string>
			<key>Name</key>
			<string>Layer 1</string>
			<key>Print</key>
			<string>YES</string>
			<key>View</key>
			<string>YES</string>
		</dict>
	</array>
	<key>LayoutInfo</key>
	<dict>
		<key>AutoAdjust</key>
		<string>YES</string>
		<key>LayoutType</key>
		<integer>0</integer>
		<key>MagneticFieldCenter</key>
		<string>{0, 0}</string>
	</dict>
	<key>MagnetsEnabled</key>
	<string>YES</string>
	<key>PageBreakColor</key>
	<dict>
		<key>w</key>
		<real>6.666667e-01</real>
	</dict>
	<key>PageBreaks</key>
	<string>YES</string>
	<key>PageSetup</key>
	<data>
	BAt0eXBlZHN0cmVhbYED6IQBQISEhAtOU1ByaW50SW5mbwGEhAhOU09iamVjdACFkoSE
	hBNOU011dGFibGVEaWN0aW9uYXJ5AISEDE5TRGljdGlvbmFyeQCUhAFpFZKEhIQITlNT
	dHJpbmcBlIQBKw9OU1BhZ2VzUGVyU2hlZXSGkoSEhAhOU051bWJlcgCEhAdOU1ZhbHVl
	AJSEASqEhAFznQGGkoSZmRBOU0pvYkRpc3Bvc2l0aW9uhpKEmZkPTlNQcmludFNwb29s
	Sm9ihpKEmZkOTlNCb3R0b21NYXJnaW6GkoSbnISEAWaeJIaShJmZC05TUGFwZXJOYW1l
	hpKEmZkGTGV0dGVyhpKEmZkPTlNQcmludEFsbFBhZ2VzhpKEm5ydnQCGkoSZmQ1OU0pv
	YkZlYXR1cmVzhpKElpcAhpKEmZkVTlNIb3Jpem9uYWxQYWdpbmF0aW9uhpKEm5ydnQCG
	koSZmQhOU0NvcGllc4aShJuchIQBU58BhpKEmZkPTlNTY2FsaW5nRmFjdG9yhpKEm5yE
	hAFkoAGGkoSZmQtOU0ZpcnN0UGFnZYaShJucrZ8BhpKEmZkUTlNWZXJ0aWNhbFBhZ2lu
	YXRpb26GkoSbnJ2dAIaShJmZEk5TUmV2ZXJzZVBhZ2VPcmRlcoaShJucnZ0AhpKEmZkN
	TlNSaWdodE1hcmdpboaShJucop4khpKEmZkWTlNIb3Jpem9udGFsbHlDZW50ZXJlZIaS
	hJucnZ0BhpKEmZkMTlNMZWZ0TWFyZ2luhpKEm5yiniSGkoSZmQ1OU09yaWVudGF0aW9u
	hpKEm5ydnQCGkoSZmRlOU1ByaW50UmV2ZXJzZU9yaWVudGF0aW9uhpKmkoSZmQpOU0xh
	c3RQYWdlhpKEm5yEl5eCf////4aShJmZC05TVG9wTWFyZ2luhpKEm5yiniSGkoSZmRRO
	U1ZlcnRpY2FsbHlDZW50ZXJlZIaSupKEmZkLTlNQYXBlclNpemWGkoScnISEBns/PWZm
	faGBAmSBAxiGhoY=
	</data>
	<key>RowAlign</key>
	<integer>1</integer>
	<key>RowSpacing</key>
	<real>3.600000e+01</real>
	<key>VPages</key>
	<integer>1</integer>
	<key>WindowInfo</key>
	<dict>
		<key>Frame</key>
		<string>{{63, 377}, {953, 755}}</string>
		<key>Zoom</key>
		<string>1</string>
	</dict>
</dict>
</plist>
